Update a specific incident_sub_status by id
curl --request PUT \
--url https://api.rootly.com/v1/incident_sub_statuses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_sub_statuses",
"attributes": {
"sub_status_id": "<string>",
"assigned_at": "<string>",
"assigned_by_user_id": 123
}
}
}
'{
"data": {
"id": "e76dfea6-6b40-4090-9a7c-8ae43749d9a5",
"type": "incident_sub_statuses",
"attributes": {
"sub_status_id": "278f7477-b300-4735-82c1-c97ae1fb0de9",
"incident_id": "a0d164bb-45e0-4a20-babf-9846d9bc0f7f",
"assigned_at": "2026-01-21T11:20:33.000-08:00",
"assigned_by_user_id": 609
},
"relationships": {
"sub_status": {
"data": {
"id": "278f7477-b300-4735-82c1-c97ae1fb0de9",
"type": "sub_statuses"
}
},
"assigned_by_user": {
"data": {
"id": "609",
"type": "users"
}
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
incident_sub_status updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/incident_sub_statuses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_sub_statuses",
"attributes": {
"sub_status_id": "<string>",
"assigned_at": "<string>",
"assigned_by_user_id": 123
}
}
}
'{
"data": {
"id": "e76dfea6-6b40-4090-9a7c-8ae43749d9a5",
"type": "incident_sub_statuses",
"attributes": {
"sub_status_id": "278f7477-b300-4735-82c1-c97ae1fb0de9",
"incident_id": "a0d164bb-45e0-4a20-babf-9846d9bc0f7f",
"assigned_at": "2026-01-21T11:20:33.000-08:00",
"assigned_by_user_id": 609
},
"relationships": {
"sub_status": {
"data": {
"id": "278f7477-b300-4735-82c1-c97ae1fb0de9",
"type": "sub_statuses"
}
},
"assigned_by_user": {
"data": {
"id": "609",
"type": "users"
}
}
}
}
}